[1] MLD-5.x / Development / [5.5] Lokales ES - Paket OSCAM lässt sich nicht mehr kompilieren
 

Offline BobW

  • Profi Member
  • ****
  • Posts: 494
    • View Profile
Hallo,

Paket oscam steigt beim Patchen bereits aus. Patch 12_*** ist der Bösewicht. Die derzeitige Version der MLD-5.5 ist 11577 beim lokalen Kompilieren wird aber bereits die Version 11677 verwendet.

Code: [Select]
mkfrank@buster1:~/MLD-5.5/oscam$ make
oscam:
  Build package: oscam
        Use patch ../11_oscam_style.patch
patching file webif/include/css.css
        Use patch ../12_oscam_OvercryptKey.patch
patching file .travis.yml
patching file CMakeLists.txt
patching file Makefile
patching file config.h
patching file config.sh
Hunk #1 FAILED at 1.
Hunk #2 succeeded at 26 (offset 1 line).
Hunk #3 FAILED at 294.
Hunk #4 FAILED at 349.
Hunk #5 succeeded at 470 (offset 3 lines).
Hunk #6 succeeded at 708 (offset 3 lines).
3 out of 6 hunks FAILED -- saving rejects to file config.sh.rej
patching file globals.h
Hunk #1 succeeded at 393 (offset 5 lines).
Hunk #2 succeeded at 1858 (offset 73 lines).
patching file module-dvbapi.c
Hunk #1 succeeded at 2644 (offset 11 lines).
Hunk #2 succeeded at 2693 (offset 11 lines).
patching file module-emulator-biss.c
patching file module-emulator-biss.h
patching file module-emulator-cryptoworks.c
patching file module-emulator-cryptoworks.h
patching file module-emulator-director.c
patching file module-emulator-director.h
patching file module-emulator-irdeto.c
patching file module-emulator-irdeto.h
patching file module-emulator-nagravision.c
patching file module-emulator-nagravision.h
patching file module-emulator-osemu.c
patching file module-emulator-osemu.h
patching file module-emulator-powervu.c
patching file module-emulator-powervu.h
patching file module-emulator-streamserver.c
patching file module-emulator-streamserver.h
patching file module-emulator-viaccess.c
patching file module-emulator-viaccess.h
patching file module-emulator.c
patching file oscam.c
Hunk #2 succeeded at 442 (offset 10 lines).
Hunk #3 succeeded at 1841 (offset 16 lines).
Hunk #4 succeeded at 1931 (offset 16 lines).
patching file webif/config/dvbapi.html
Hunk #1 succeeded at 56 (offset 1 line).
Hunk #2 succeeded at 64 (offset 1 line).
make[2]: *** [../Makefile.tools:690: patch] Fehler 1
make[1]: *** [Makefile:37: src/oscam] Fehler 2
Ihr Branch ist auf demselben Stand wie 'origin/master'.
mkfrank@buster1:~/MLD-5.5/oscam$

oscam-IPv6 kompiliert klaglos, da ist dieser "12er" Patch auch nicht mit dabei. Ich hätte eigentlich erwartet, dass die beiden Pakete, bis auf IPv6, gleich sind.

Schöne Grüße
BobW

Online clausmuus

  • Administrator
  • Expert Member
  • ********
  • Posts: 18850
    • View Profile
    • ClausMuus.de
[5.5] Lokales ES - Paket OSCAM lässt sich nicht mehr kompilieren
« Reply #1 on: November 18, 2020, 14:33:31 »
Wird der Patch denn noch benötigt? Du kannst ihn ja mal testweise entfernen. Bei der IPv6 Version wurde irgendwas weg gelassen, weil's sich da was nicht vertragen hat. Deshalb gibt's zwei Pakete. Genaueres weiß ich nicht mehr.
MLD 5.4 - Raspberry PI - 7" Touch TFT - Squeeze Play
MLD 5.4 - lirc yaUsbIR - OctopusNet - XFX GeForce 9300 mit Intel E3200 - 2GB RAM - 12TB HDD - Lian Li PC-C37B - Samsung LE40A559
MLD 5.4 - OctopusNet - ASRock Q1900M - 2GB RAM 250GB HDD

Offline BobW

  • Profi Member
  • ****
  • Posts: 494
    • View Profile
[5.5] Lokales ES - Paket OSCAM lässt sich nicht mehr kompilieren
« Reply #2 on: November 18, 2020, 14:51:51 »
Hallo Claus,

auch Patch 14_ passt nicht mehr. Ohne 12 und 14 kompiliert oscam wieder.

Beide "Patches" dürfte man hier eigentlich gar nicht besprechen, da sie zeimlich dunkelschwarze Bereiche des Empfangs digitalen Fernsehens betreffen:  Im Übrigen haben beide "Patches" für S19.2 und S13.0 mittlerweile eigentlich keinen Sinn mehr (zumindest derzeit).

Schöne Grüße
BobW

[1] MLD-5.x / Development / [5.5] Lokales ES - Paket OSCAM lässt sich nicht mehr kompilieren
 



Users Online Users Online

0 Members and 1 Guest are viewing this topic.